Subject: bug#79079: 31.0.50; Piped command output is sometimes lost in Eshell

From: Andreas Schwab <[email-masked]>
Date: Sun, 27 Jul 2025 09:52:40 +0200

On Jul 27 2025, Eli Zaretskii wrote:

> Of course it isn't.  Which is why we should try to make things happen
> which happen when the same command is run from a Posix shell.  Some of
> that happens in the shell, some in the OS, some in the commands.

Emacs does not have the overview that the kernel has.  It does not know
when a process closes a stream, it can only discover it when it tries to
read from or write to the other end of the stream.  The kernel is the
one who drives all communication, Emacs can only react (because it
itself relies on the kernel to do everything).

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."